a. Input unit
b. Programming
c. Assembly languages
d. Output unit
e. Memory unit and secondary storage unit
f. Arithmetic and logic unit(ALU)
g. Central processing unit(CPU)
h. High-level language
i. Machine language
j. Central processing unit(CPU)
